import 'package:flutter/material.dart';
import '../../../infrastructure/loadableState/loadable_state.dart';
import '../../../infrastructure/utilityWidgets/bloc_module.dart';
import '../bloc/files_bloc.dart';
import '../bloc/files_state.dart';
import 'folder_view.dart';

class FilesView extends StatelessWidget {
  const FilesView({super.key});

  @override
  Widget build(BuildContext context) => BlocModule<FilesBloc, LoadableState<FilesState>>(
    create: (context) => FilesBloc(),
    autoRebuild: true,
    child: (context, bloc, state) => FolderView(bloc),
  );
}
